Loading...
Searching...
No Matches
NcvRect32u Struct Reference

`#include </build/pcl-oe1NcQ/pcl-1.14.0+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp>`

## Public Member Functions

__host__ __device__ | NcvRect32u ()
__host__ __device__ | NcvRect32u (Ncv32u x, Ncv32u y, Ncv32u width, Ncv32u height)

## Public Attributes

Ncv32u | x
| x-coordinate of upper left corner.
Ncv32u | y
| y-coordinate of upper left corner.
Ncv32u | width
| Rectangle width.
Ncv32u | height
| Rectangle height.

## Detailed Description

Definition at line 148 of file NCV.hpp.

## Constructor & Destructor Documentation

## NcvRect32u() [1/2]

__host__ __device__ NcvRect32u::NcvRect32u | ( |  | ) |

inline

Definition at line 154 of file NCV.hpp.

## NcvRect32u() [2/2]

__host__ __device__ NcvRect32u::NcvRect32u | ( | Ncv32u | x,
|  | Ncv32u | y,
|  | Ncv32u | width,
|  | Ncv32u | height
| ) |  |

inline

Definition at line 155 of file NCV.hpp.

## Member Data Documentation

## height

Ncv32u NcvRect32u::height

Rectangle height.

Definition at line 153 of file NCV.hpp.

Referenced by NCVMatrixReuse< T >::NCVMatrixReuse().

## width

Ncv32u NcvRect32u::width

Rectangle width.

Definition at line 152 of file NCV.hpp.

Referenced by NCVMatrixReuse< T >::NCVMatrixReuse().

## x

Ncv32u NcvRect32u::x

x-coordinate of upper left corner.

Definition at line 150 of file NCV.hpp.

Referenced by NCVMatrixReuse< T >::NCVMatrixReuse().

## y

Ncv32u NcvRect32u::y

y-coordinate of upper left corner.

Definition at line 151 of file NCV.hpp.

Referenced by NCVMatrixReuse< T >::NCVMatrixReuse().

The documentation for this struct was generated from the following file:

- /build/pcl-oe1NcQ/pcl-1.14.0+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp